$(function(){

$("#add_option").hide();
$("#trust_option").hide();
$("#table_name").hide();


$delete_page=$("#delete_page").val();
$active_page=$("#active_page").val();
table_name=$("#table_name").html();
$(".add_option_link").click(function(){
$("#add_option").show();
$("#trust_option").hide();
});

$(".trust_option_link").click(function(){
$("#trust_option").show();
$("#add_option").hide();
});

$(".hide_box").click(function(){
$("#add_option").hide();
$("#trust_option").hide();	
});



$(".delete_row").live("click",function(){
    
id=$(this).attr("alt");	
table=$(this).attr("table");	

if (confirm("هل تريد حقا الغاء السجل")){
    
    
xx=$(this).attr("alt");	
$.post("delete.php",{'table':table,'id':id},function(data){
$("#tr"+xx).remove();
//alert(data);	
$("#num_rows").text(parseInt($("#num_rows").text())-1);
});
}
	
});

$(".delete").live("click",function(){

if (confirm("هل تريد حقا الغاء السجل")){
    
    
xx=$(this).attr("alt");	
$.post("delete_"+table_name+".php",{table_name:table_name,id:xx},function(data){

$("#tr"+xx).hide();
$("#tr"+xx).attr("class","hidden_tr");
//alert("تم الالغاء");

$("#num_rows").html($("#num_rows").html()-1);
mod=$("#num_rows").html()%12;
current_num=$(".num_con[class='num_con num_active']").attr("alt");
if(mod==0){
$(".num_con[class='num_con num_active']").hide();

for(i=current_num;i<=30;i++){
x=Math.round((eval(i)))+1;
$("#num_con"+x).attr({"alt":i});
$("#num_con"+x).html('<a  href="#news_title">'+ i +'</a>');	
}
next_num=Math.round((eval(current_num)))+1;

if($(".num_con").length==0){
$("#num_con1").click();	
}else{
$("#num_con"+next_num).click();	
}
		

}


current_rows_num=$(".table_tr").length;

if(current_rows_num==0){
for(i=current_num;i<=30;i++){
x=Math.round((eval(i)))+1;
$("#num_con"+x).attr({"alt":i});
$("#num_con"+x).html('<a  href="#news_title">'+ i +'</a>');	
}
next_num=Math.round((eval(current_num)))+1;
current_num_cont=$(".table_tr").length;

if(current_num_cont==0){
$("#num_con1").click();	
}else{
$("#num_con"+next_num).click();	
}

}

//alert(data);

});


}

});




$(".ajax_send").click(function(){
table_name=$("#table_name").html(); //اسم الجدول
xx=$(this).attr("rel");		//الايدى
yy=$(this).attr("alt");	   //التنشيط 1
zz=$(this).attr("max");	// اسم الحقل
approve_id=$(this).attr("id");

$.post("approve_prod.php",{table_name:table_name,id:xx,act:yy,type:zz},function(){

if(yy=='1'){
alert("تم التنشيط");
//alert(approve_id);
$("#"+approve_id).attr({"src":"../img/yes.png"});
$("#"+approve_id).attr({"alt":"0"});
}else{
alert("تم الالغاء");	
$("#"+approve_id).attr({"src":"../img/no.png"});	
$("#"+approve_id).attr({"alt":"1"});		
}
});
});

$(".ajax_multi_send").click(function(){

table_name=$("#table_name").html(); //اسم الجدول

xx=$(this).attr("rel");	//الايدى
//alert(xx);
yy=$(this).attr("alt");	//التنشيط 1
//alert(yy);
zz=$(this).attr("id"); // اسم الحقل
//alert(zz);
form_date=$("#"+$(this).attr("max")).val();	// ألتاريخ الموجود فى المربع النصى
//alert(form_date);
datetype=$("#"+$(this).attr("max")).attr("id");
//alert(datetype);
/*
alert(xx);
alert(yy);
alert(zz);
alert(form_date);
*/
$.post("approve_prod.php",{table_name:table_name,id:xx,act:yy,type:zz,form_date:form_date,date_type:datetype},function(){
if(yy=='1'){
alert("تم التنشيط");
$(this).text()="الغاء عرض الاعلان";	
}else{
alert("تم الالغاء");	
$(this).text("الموافقة على الاعلان");		
}
});
});



$(".no-delete").click(function(){

alert("لا يمكن الغاء هذا المستخدم");

});

$(".active").click(function(){
xx=$(this).attr("alt");	
$.post($active_page,{id:xx},function(){
$(".active_image").attr({"src":"../img/not_active.png"});
$("#active_image"+xx).attr({"src":"../img/active.png"});
alert("تم تنشيط الاستفتاء");	
});
});

$(".active_multi").live("click",function(){
id=$(this).attr("alt");	
table=$(this).attr("table");
active_status=$("#active_image"+id).attr("status");	

//alert($active_page);
$.post("ajax_multi_active.php",{'id':id,'table':table,'status':active_status},function(data){
if($("#active_image"+id).attr("src")=="../img/not_active.png"){
$("#active_image"+id).attr({"src":"../img/active.png"});
$("#active_image"+id).attr({"status":"0"});
alert("تم التنشيط ");	
}else{
$("#active_image"+id).attr({"src":"../img/not_active.png"});
$("#active_image"+id).attr({"status":"1"});
alert("تم التعطيل ");	
}
//alert(data);	
});
});


$(".priority_multi").live("click",function(){
id=$(this).attr("alt");	
table=$(this).attr("table");	
//alert($priority_page);
$.post("ajax_multi_priority.php",{'id':id,'table':table},function(data){
if($("#priority_image"+id).attr("src")=="../img/not_priority.png"){
$("#priority_image"+id).attr({"src":"../img/priority.png"});
alert("تم التنشيط ");	
$(".table_tr[tr_id="+id+"]").attr("priority","1");

}else{
$("#priority_image"+id).attr({"src":"../img/not_priority.png"});
alert("تم التعطيل ");	
$(".table_tr[tr_id="+id+"]").attr("priority","0");

}
//alert(data);	
});
});








//اضافة قوائم منسدلة
$("#add_sub_menus").live("click",function(){

id=$(this).attr("alt");	
title=$("#menu_name").val();
priv=$("#menu_type").val();	
	
$.post("add_sub_menu.php",{"id":id,"title":title,"priv":priv},function(){
alert("تم الاضافة ");	
if(priv=='1'){
priv='عام';	
}else{
priv='خاص';		
}
$("#menu_table").append('<tr id="tr'+ row_id +'"><td>'+title+'</td><td>'+priv+'</td><td><img class="delete" style="cursor:pointer;" src="../img/delete.png" alt="'+ row_id +'"></td><td><a  href="edit_sub_menu.php?id='+row_id+'"><img style="cursor:pointer;" src="../img/edit.png"></a></td> </tr>');

$("#add_sub_menu").hide();
	
});
});

$("#add_menu_btn").click(function(){
$("#add_sub_menu").show();
$("#menu_name").val("");	
});

$("#add_menu_close").click(function(){
$("#add_sub_menu").hide();	
});



//upload image//
$("#image_upload").click(function(){
	
$.post("upload_image.php",{"":""},function(){
	
});	
});
////////////////////////////////////

$(".download").click(function(){
id=$(this).attr("lang");
table=$(this).attr("max");
$.post("insert_view_num.php",{id:id,table:table},function(){
//alert("success");	
});	
});




//// رفع الصور بالاجاكس
$(".pic_option>input").live("click",function(){
var xx=parseInt($(this).attr("alt"));

if (xx>=110){
xx-=70;
}
$("#input_div").css({"top":xx});
$("#input_div>input").val("");
$(".pic_option").css({"background-color":"white"});
$(this).parent().css({"background-color":"#99CA54"});
$("#link").val("offer.php?id=" + $(this).attr('value'));
$("textarea").val("");
$(".preview").hide();
});



$('#submit_btn').live('click', function(){ 
$("#preview").html('');
$("#preview").html('<img src="loader.gif" alt="Uploading...."/>');
$("#imageform").ajaxForm({ target: '#preview'}).submit();

});



});
